Uploaded image for project: 'Jenkins'
  1. Jenkins
  2. JENKINS-57449

Unable to use kubernetes agent block in declarative pipeline

    Details

    • Similar Issues:

      Description

      When trying to use the kubernetes agent block i am presented with the error:

       
      WorkflowScript: 14: Invalid agent type "kubernetes" specified. Must be one of [any, docker, dockerfile, label, none] @ line 14, column 1.
      kubernetes {

       

      I am using Jenkins version: 2.107.3 and kubernetes-plugin version: 1.12.2

       

      I have searched but the only advice seems to be that the use of kubernetes in agent blocks requires Jenkins 2.66+

        Attachments

          Activity

          Hide
          csanchez Carlos Sanchez added a comment -

          check your jenkins startup logs, the plugin likely failed to start

          Show
          csanchez Carlos Sanchez added a comment - check your jenkins startup logs, the plugin likely failed to start

            People

            • Assignee:
              csanchez Carlos Sanchez
              Reporter:
              rhysmorgan1986 Rhys Morgan
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: